Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglet.util
Class AddressChooser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--com.ibm.aglet.util.AddressChooser

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

public class AddressChooser
extends java.awt.Panel
implements java.awt.event.ActionListener

Version:
  1.50 $Date: 2001/07/28 06:34:13 $
Author:
  Mitsuru Oshima
See Also:
  Serialized Form

Inner classes inherited from class java.awt.Panel
`java.awt.Panel.AccessibleAWTPanel`

Inner classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`AddressChooser()` Constructs a new AddressChooser with the default number of colums.
`AddressChooser(int columns)` Constructs a new AddressChooser with the specified number of colums.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent ev)`
`void` | `addActionListener(java.awt.event.ActionListener l)` Adds the specified action listener to receive action events from this chooser.
`java.lang.String` | `getAddress()` Get the address which is currently chosen by this chooser.
`boolean` | `handleEvent(java.awt.Event ev)`
`void` | `removeActionListener(java.awt.event.ActionListener l)` Removes the specified action listener so it no longer receives action events from this chooser.
`void` | `removeNotify()`
`void` | `setActionCommand(java.lang.String cmd)` Sets the command name of the action event fired by this chooser.
`void` | `setAddress(java.lang.String addr)` Set the specified string as to the address book.

Methods inherited from class java.awt.Panel
`addNotify, getAccessibleContext`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFont, setLayout, update, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AddressChooser

    public AddressChooser()

  Constructs a new AddressChooser with the default number of colums. The default nubmer is 10.
  Parameters:
    `columns` - the number of columns

### AddressChooser

    public AddressChooser(int columns)

  Constructs a new AddressChooser with the specified number of colums.
  Parameters:
    `columns` - the number of columns

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent ev)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Adds the specified action listener to receive action events from this chooser.
  Parameters:
    `l` - the action listener

### getAddress

    public java.lang.String getAddress()

  Get the address which is currently chosen by this chooser.

### handleEvent

    public boolean handleEvent(java.awt.Event ev)

  Overrides:
    `handleEvent` in class `java.awt.Component`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Removes the specified action listener so it no longer receives action events from this chooser.
  Parameters:
    `l` - the action listener

### removeNotify

    public void removeNotify()

  Overrides:
    `removeNotify` in class `java.awt.Container`

### setActionCommand

    public void setActionCommand(java.lang.String cmd)

  Sets the command name of the action event fired by this chooser. By default this will be set to the "address".

### setAddress

    public void setAddress(java.lang.String addr)

  Set the specified string as to the address book.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD